Bug 1178573 - gogoc.service has PrivateDevices=yes yet tries to open /dev/net/tun
Summary: gogoc.service has PrivateDevices=yes yet tries to open /dev/net/tun
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gogoc
Version: 21
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Juan Orti Alcaine
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-05 00:01 UTC by Alex Villacís Lasso
Modified: 2015-01-24 18:45 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-01-14 07:32:32 UTC


Attachments (Terms of Use)

Description Alex Villacís Lasso 2015-01-05 00:01:12 UTC
Description of problem:
In my Fedora 21 setup, gogoc wants to open /proc/net/tun but is prevented from doing so since gogog.service has PrivateDevices=yes . Therefore, the ipv6 tunnel fails to start at all.

Version-Release number of selected component (if applicable):
gogoc-1.2-40.fc21.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Attempt to start gogoc with systemctl start gogoc.service
2.
3.

Actual results:
[root@karlalex ~]# systemctl status gogoc.service
● gogoc.service - Freenet6.net tunnel client to IPv6
   Loaded: loaded (/usr/lib/systemd/system/gogoc.service; disabled)
   Active: active (running) since dom 2015-01-04 18:22:36 ECT; 32s ago
     Docs: man:gogoc(8)
           man:gogoc.conf(5)
 Main PID: 5642 (gogoc)
   CGroup: /system.slice/gogoc.service
           └─5642 /usr/bin/gogoc -f /etc/gogoc/gogoc.conf

ene 04 18:22:36 karlalex.palosanto.com gogoc[5642]: gogoCLIENT v1.2-RELEASE build Aug 16 2014-22:52:31
ene 04 18:22:36 karlalex.palosanto.com gogoc[5642]: Built on ///Linux buildhw-04.phx2.fedoraproject.org 3.15.8-200.fc20.x86_...ux///
ene 04 18:22:42 karlalex.palosanto.com gogoc[5642]: Failed to contact TSP listener at anonymous.freenet6.net.
ene 04 18:22:42 karlalex.palosanto.com gogoc[5642]: Disconnected. Retrying.
ene 04 18:22:42 karlalex.palosanto.com gogoc[5642]: Failed to connect to server anonymous.freenet6.net on port 3653.
ene 04 18:22:42 karlalex.palosanto.com gogoc[5642]: The server redirection list is [ anon-montreal.freenet6.net, anon-amster...et ].
ene 04 18:22:43 karlalex.palosanto.com gogoc[5642]: Failed to open device: /dev/net/tun.
ene 04 18:22:43 karlalex.palosanto.com gogoc[5642]: Try "modprobe tun".
ene 04 18:22:43 karlalex.palosanto.com gogoc[5642]: Failed to initialize TUN device.


Expected results:
The service should either succeed in opening /dev/net/tun or use an alternate means of setting up the tunnel interface.

Additional info:
Removing the PrivateDevices=yes flag from gogoc.service allows the service to start correctly.

Comment 1 Fedora Update System 2015-01-05 09:40:40 UTC
gogoc-1.2-41.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gogoc-1.2-41.fc21

Comment 2 Fedora Update System 2015-01-05 10:10:53 UTC
gogoc-1.2-41.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/gogoc-1.2-41.el7

Comment 3 Fedora Update System 2015-01-06 02:09:17 UTC
Package gogoc-1.2-41.el7:
* should fix your issue,
* was pushed to the Fedora EPEL 7 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing gogoc-1.2-41.el7'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-0087/gogoc-1.2-41.el7
then log in and leave karma (feedback).

Comment 4 Alex Villacís Lasso 2015-01-06 16:00:00 UTC
I have installed gogoc-1.2-41.fc21 from updates-testing. This update apparently fixes the issue.

Comment 5 Fedora Update System 2015-01-14 07:32:32 UTC
gogoc-1.2-41.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-01-24 18:45:16 UTC
gogoc-1.2-41.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.